Subject: Re: bug#19028: [PATCH] grep: fix grep -F -x -o outputs extra newlines

From: Jim Meyering <[email-masked]>
Date: Wed, 12 Nov 2014 16:42:22 -0800

PS, this (omitting parts of a patch) used to happen to me, too, but
then I wrote vc-dwim (https://gnu.org/software/vc-dwim/). If you use
it to prepare/view/commit changes for which you have already written a
ChangeLog entry, then it will automatically ensure that you do not
omit changes to any file whose name appears in the corresponding
ChangeLog entry.